#!/bin/bash 
#SBATCH -J grid2ncdf
#SBATCH -p main
#SBATCH -o grid2ncdf.out
#SBATCH --time=2:00:00
#SBATCH --mem=8000

module purge
module load gcc/13.2.0-tkesy
module load openmpi/5.0.3-l3mqa
module load eccodes/2.34.0-wrusa

export LIBRARY_PATH=$LIBRARY_PATH:/apps/sw/ubuntu22.04/gcc-13.2.0/eccodes-2.34.0-wrusaoev7mlquymqrelfbxrhvnagtz6d/lib:/apps/sw/ubuntu22.04/gcc-13.2.0/netcdf-fortran-4.6.1-ubcs4l6pjwpgoeyvz32wpzyzykib6bwm/lib
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/apps/sw/ubuntu22.04/gcc-13.2.0/eccodes-2.34.0-wrusaoev7mlquymqrelfbxrhvnagtz6d/lib:/apps/sw/ubuntu22.04/gcc-13.2.0/netcdf-fortran-4.6.1-ubcs4l6pjwpgoeyvz32wpzyzykib6bwm/lib

srun ./grid_to_ncdf SETTINGS
